#!/usr/bin/env python
# To create a distribution package for pip or easy-install:
# python setup.py sdist
from setuptools import setup, find_packages
from os.path import join, dirname, realpath
from warnings import warn

import mppm

name='mppm'

setup(
    name=name,
    author=mppm.__author__,
    author_email=mppm.__email__,
    version=mppm.__version__,
    license=mppm.__license__,
    url='https://github.com/paulmueller/mppm',
    packages=[name],
    package_dir={name: name},
    description='multi processing progress manager',
    long_description=open(join(dirname(__file__), 'README.txt')).read(),
    install_requires=[ "uilayer >= 0.1.1"
                     ],
    keywords=["multiprocessing", "ui", "user interface", "queue",
              "progress", "manager", "job"],
    extras_require={
                    'doc': ['sphinx']
                   },
    classifiers= [
        'Operating System :: OS Independent',
        'Programming Language :: Python :: 2.7',
        'Programming Language :: Python :: 3.3',
        'Topic :: Scientific/Engineering :: Visualization',
        'Intended Audience :: Science/Research'
                 ],
    platforms=['ALL']
    )

